%define __libtoolize    /bin/true

%define use_enable_final 1
%{?_no_enable_final: %{expand: %%global use_enable_final 0}}

%define compile_apidox 1
%{?_no_apidox: %{expand: %%global compile_apidox 0}}

%define branch 0
%{?_branch: %{expand: %%global branch 1}}
%define branch 0

%define unstable 0
%{?_unstable: %{expand: %%global unstable 1}}

%if %unstable
%define dont_strip 1
%endif

%define lib_name_orig lib%{name}
%define lib_major 1
%define lib_name %mklibname kdeutils %lib_major

%define tpctl_arches %{ix86}
%define subrel 4

Name: kdeutils
Summary: K Desktop Environment - Utilities
Version: 3.5.7
Release: %mkrel 9
Group: Graphical desktop/KDE
URL: http://www.kde.org
%if %branch
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.%branch_rev.tar.bz2
%else
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.bz2
%endif
Source1: kdeutils-3.2.3-kcmlaptoprc
Patch0: kdeutils-3.0-ktimer_icons.patch
Patch1: kdeutils-3.4.2-floppy.patch
Patch2:	kdeutils-3.5.5-klaptop-pmsuspend.patch
Patch3: kdeutils-3.5.7-fix-desktop.patch
Patch4: kdeutils-3.5.7-lzma-support.patch
BuildRoot:	%_tmppath/%name-%version-%release-root
License:	GPL
Obsoletes: kdeutils3.0 < 3.5.3-3mdv2007.0 
Obsoletes: kdeutils3 < 3.5.3-3mdv2007.0 
Obsoletes: kdf < 3.5.3-3mdv2007.0
Obsoletes: kdeutils-kdepasswd < 3.5.3-3mdv2007.0
Provides: kdeutils3 
BuildRequires: X11-devel
BuildRequires: kdelibs-devel >= 3.2-13mdk
BuildRequires: arts-devel >= 1.1
BuildRequires: kdebase-devel
BuildRequires: openssl-devel
BuildRequires: net-snmp-devel
BuildRequires:	gmp-devel
%py_requires -d
%ifarch %{tpctl_arches}
BuildRequires:	libtpctl-devel
%endif
BuildConflicts: libxmms-devel
Requires:	kdeutils-kedit = %version-%release
Requires:	kdeutils-kcalc = %version-%release
Requires:	kdeutils-ktimer = %version-%release
Requires:	kdeutils-kjots = %version-%release
Requires:	kdeutils-khexedit = %version-%release
Requires:	kdeutils-kfloppy = %version-%release
Requires:	kdeutils-kdf = %version-%release
Requires:	kdeutils-kcharselect = %version-%release
Requires:	kdeutils-ark = %version-%release
Requires:	%lib_name-common = %version-%release
Requires:	kdeutils-kdessh = %version-%release
Requires:	kdeutils-ksim = %version-%release
Requires:	kdeutils-common = %version-%release
Requires:	kdeutils-klaptop = %version-%release
Requires:   kdeutils-kwalletmanager = %version-%release
Requires:   kdeutils-superkaramba = %version-%release

%description
Utilities for the K Desktop Environment.
	- ark: manager for compressed files and archives
	- kcalc: scientific calculator
	- kcharselect: select special characters from any fonts 
			and put them into the clipboard
	- charselectapplet: dito, but as a Kicker applet
	- kcardtools:
	- kdessh: front end to ssh
	- kdf: like 'df', a graphical free disk space viewer
	- kedit: a simple text editor, without formatting like bold, italics etc
	- kfloppy: format a floppy disks with this app
	- khexedit: binary file editor
	- kjots: manages several "books" with a subject and notes
	- klaptopdaemon: battery and power management, including KControl plugins
	- kregexpeditor: graphical regular expression editor
	- ktimer: execute programs after some time

%files

#-----------------------------------------------------------------------------

%package klaptop
Summary:	Battery and power management
Group:		Graphical desktop/KDE
Requires:	%lib_name-klaptop = %version-%release
Obsoletes:	kdeutils <= 3.1
Provides:	klaptop
Conflicts: kdeutils-common < 3.5.3-3mdv2007.0
%ifarch %{tpctl_arches}
Requires:	tpctl
%endif

%description klaptop
Battery and power management, including KControl plugins.

%post klaptop
%update_menus
%update_icon_cache crystalsvg
%update_icon_cache hicolor

%postun klaptop
%clean_menus
%clean_icon_cache crystalsvg
%clean_icon_cache hicolor

%files klaptop
%defattr(-,root,root)
%attr(-,root,nogroup) %_bindir/klaptop_acpi_helper
%_bindir/klaptop_check
%_iconsdir/*/*/*/laptop*
%_datadir/config/kcmlaptoprc
%_datadir/applications/kde/thinkpad.desktop
%dir %_datadir/apps/klaptopdaemon/
%_datadir/apps/klaptopdaemon/*
%_datadir/services/kded/klaptopdaemon.desktop
%_datadir/services/kded/kmilod.desktop
%_datadir/services/kmilo/kmilo_*
%_datadir/servicetypes/kmilo/kmilopluginsvc.desktop
%doc %_docdir/HTML/en/kcontrol/kcmlowbatcrit
%doc %_docdir/HTML/en/kcontrol/kcmlowbatwarn
%doc %_docdir/HTML/en/kcontrol/laptop
%doc %_docdir/HTML/en/kcontrol/powerctrl
%_datadir/applications/kde/kvaio.desktop
%_datadir/applications/kde/laptop.desktop
%_datadir/applications/kde/pcmcia.desktop
%_libdir/kde3/kded_klaptopdaemon.*
%_libdir/kde3/kded_kmilod.*
%_libdir/kde3/kmilo_*
%_libdir/kde3/kcm_thinkpad.*
%_libdir/kde3/kcm_kvaio.*
%_libdir/kde3/kcm_laptop.*

#-----------------------------------------------------------------------------

%package -n %lib_name-klaptop
Summary:	Library for klaptop
Group:	 	Development/KDE and Qt	
Obsoletes: %lib_name-klaptop-devel

%description -n %lib_name-klaptop
Library for klaptop.

%post -n %lib_name-klaptop -p /sbin/ldconfig
%postun -n %lib_name-klaptop -p /sbin/ldconfig

%files -n %lib_name-klaptop
%defattr(-,root,root)
%_libdir/libkcmlaptop.la
%_libdir/libkcmlaptop.so.*
%_libdir/libkmilo.la
%_libdir/libkmilo.so.*

#-----------------------------------------------------------------------------

%package common
Summary:	Kdeutils common files
Group:		Graphical desktop/KDE
Requires:	%lib_name-common = %version-%release
Obsoletes:	kdeutils <= 3.1
Provides:	kdeutils = %version-%release
URL:        http://www.kde.org/

%description common
Kdeutils common files

%post common
%update_menus
%update_icon_cache crystalsvg
%update_icon_cache hicolor

%postun common
%clean_menus
%clean_icon_cache crystalsvg
%clean_icon_cache hicolor

%files common
%defattr(-,root,root)
%_datadir/applications/kde/irkick.desktop       
%_datadir/applications/kde/kregexpeditor.desktop  
%_datadir/applications/kde/kcmlirc.desktop      
%doc %_docdir/HTML/en/kinfocenter/blockdevices
%doc %_docdir/HTML/en/kcmlirc
%doc %_docdir/HTML/en/irkick
%doc %_docdir/HTML/en/KRegExpEditor
%_iconsdir/*/*/*/kregexpeditor*
%_iconsdir/*/*/*/irkick*
%_bindir/kregexpeditor
%_bindir/irkick
%_libdir/kde3/irkick.*
%_libdir/kde3/kcm_kcmlirc.*
%dir %_datadir/apps/irkick
%_datadir/apps/irkick/*
%dir %_datadir/apps/profiles/
%_datadir/apps/profiles/*
%dir %_datadir/apps/remotes/
%_datadir/apps/remotes/*
%_datadir/autostart/irkick.desktop
%dir %_datadir/apps/kregexpeditor/
%_datadir/apps/kregexpeditor/*
%_datadir/services/kregexpeditorgui.desktop
%_libdir/libkdeinit_irkick.*
%_libdir/kde3/libkregexpeditorgui.*

#-----------------------------------------------------------------------------

%package ktimer
Summary:	Ktimer program
Group:		Graphical desktop/KDE
Provides:	ktimer
URL:        http://www.kde.org/

%description ktimer
Ktimer allows to execute programs after some time

%post ktimer
%update_menus
%update_icon_cache crystalsvg
%update_icon_cache hicolor

%postun ktimer
%clean_menus
%clean_icon_cache crystalsvg
%clean_icon_cache hicolor


%files ktimer
%defattr(-,root,root)
%doc %_docdir/HTML/en/ktimer
%_bindir/ktimer
%_datadir/applications/kde/ktimer.desktop
%_iconsdir/*/*/*/ktimer*

#-----------------------------------------------------------------------------

%package kdessh
Summary:	Kdessh program
Group:		Graphical desktop/KDE
Provides:	kdessh
URL:        http://www.kde.org/

%description kdessh
Front end to ssh

%files kdessh
%defattr(-,root,root)
%_bindir/kdessh

#-----------------------------------------------------------------------------

%package kjots
Summary:	Kjots program
Group:		Graphical desktop/KDE
Provides:	kjots, Kjots
URL:        http://www.kde.org/

%description kjots
Manages several "books" with a subject and notes

%post kjots
%update_menus
%update_icon_cache crystalsvg
%update_icon_cache hicolor

%postun kjots
%clean_menus
%clean_icon_cache crystalsvg
%clean_icon_cache hicolor

%files kjots
%defattr(-,root,root)
%doc %_docdir/HTML/en/kjots
%_iconsdir/*/*/*/kjots.*
%_bindir/kjots
%dir %_datadir/apps/kjots
%_datadir/apps/kjots/*
%_datadir/applications/kde/Kjots.desktop          
%_datadir/config.kcfg/kjots.kcfg

#-----------------------------------------------------------------------------

%package kfloppy
Summary:	Kfloppy program
Group:		Graphical desktop/KDE
Requires:	dosfstools
Provides:	kfloppy
URL:        http://www.kde.org/

%description kfloppy
Kfloppy allows to format a floppy disks with this app

%post kfloppy
%update_menus
%update_icon_cache crystalsvg
%update_icon_cache hicolor

%postun kfloppy
%clean_menus
%clean_icon_cache crystalsvg
%clean_icon_cache hicolor

%files kfloppy
%defattr(-,root,root)
%doc %_docdir/HTML/en/kfloppy
%_iconsdir/*/*/*/kfloppy.*
%_bindir/kfloppy
%_datadir/applications/kde/KFloppy.desktop        
%_datadir/apps/konqueror/servicemenus/floppy_format.desktop

#-----------------------------------------------------------------------------

%package kdf
Summary:	Kdf program
Group:		Graphical desktop/KDE
Provides:	kdf
URL:        http://www.kde.org/

%description kdf
Like 'df', a graphical free disk space viewer

%post kdf
%update_menus
%update_icon_cache crystalsvg
%update_icon_cache hicolor

%postun kdf
%clean_menus
%clean_icon_cache crystalsvg
%clean_icon_cache hicolor

%files kdf
%defattr(-,root,root)
%doc %_docdir/HTML/en/kdf
%_bindir/kdf
%_bindir/kwikdisk
%_iconsdir/*/*/*/kwikdisk.*
%_iconsdir/*/*/*/kdf.*
%_iconsdir/*/*/*/kcmdf.*
%dir %_datadir/apps/kdf
%_datadir/apps/kdf/*
%_datadir/applications/kde/kdf.desktop          
%_datadir/applications/kde/kwikdisk.desktop
%_datadir/applications/kde/kcmdf.desktop 
%_libdir/kde3/kcm_kdf.*

#-----------------------------------------------------------------------------

%package kcharselect
Summary:	Kcharselect program
Group:		Graphical desktop/KDE
Provides:	kcharselect
Conflicts:      %lib_name-common < 3.5.3-3mdv2007.0
Conflicts:      %name-common < 3.5.7-9

%description kcharselect
Kcharselect allows to select special characters from any fonts and put them into the clipboard

%post kcharselect
%update_menus
%update_icon_cache crystalsvg
%update_icon_cache hicolor

%postun kcharselect
%clean_menus

%files kcharselect
%defattr(-,root,root)
%doc %_docdir/HTML/en/kcharselect
%_bindir/kcharselect
%_libdir/kde3/kcharselect_panelapplet.*
%_iconsdir/*/*/*/kcharselect.*
%dir %_datadir/apps/kcharselect
%_datadir/apps/kcharselect/*
%_datadir/apps/kicker/applets/kcharselectapplet.desktop
%_datadir/applications/kde/KCharSelect.desktop  
%_datadir/apps/kconf_update/kcharselect.upd

#-----------------------------------------------------------------------------

%package khexedit
Summary:	Khexedit program
Group:		Graphical desktop/KDE
Provides:	khexedit
Requires:	%lib_name-khexedit = %version
Conflicts: %lib_name-khexedit < 3.5.3-3mdv2007.0

%description khexedit
A binary file editor

%post khexedit
%update_menus
%update_icon_cache crystalsvg
%update_icon_cache hicolor

%postun khexedit
%clean_menus
%clean_icon_cache crystalsvg
%clean_icon_cache hicolor

%files khexedit
%defattr(-,root,root)
%doc %_docdir/HTML/en/khexedit
%_bindir/khexedit
%_iconsdir/*/*/*/khexedit.*
%_datadir/services/khexedit2part.desktop
%_datadir/apps/khexedit2part/khexedit2partui.rc
%dir %_datadir/apps/khexedit
%_datadir/apps/khexedit/*
%_datadir/applications/kde/khexedit.desktop       
%_datadir/services/kbyteseditwidget.desktop
%_libdir/kde3/libkbyteseditwidget.*
%_libdir/kde3/libkhexedit2part.*

#-----------------------------------------------------------------------------

%package -n %lib_name-khexedit
Summary:	Khexedit library
Group:		Development/KDE and Qt	
URL:        http://www.kde.org/
Obsoletes: %lib_name-khexedit-devel

%description -n %lib_name-khexedit
Library for file editor

%post -n %lib_name-khexedit -p /sbin/ldconfig
%postun -n %lib_name-khexedit -p /sbin/ldconfig

%files -n %lib_name-khexedit
%defattr(-,root,root)
%_libdir/libkhexeditcommon.la
%_libdir/libkhexeditcommon.so.*

#-----------------------------------------------------------------------------

%package kedit
Summary:	Kedit program
Group:		Graphical desktop/KDE
Obsoletes: %lib_name-kedit
Provides:	kedit
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description kedit
A simple text editor, without formatting like bold, italics etc.

%post kedit
%update_menus
%update_icon_cache crystalsvg
%update_icon_cache hicolor

%postun kedit
%clean_menus
%clean_icon_cache crystalsvg
%clean_icon_cache hicolor

%files kedit
%defattr(-,root,root)
%_bindir/kedit
%_libdir/kde3/kedit.*
%_libdir/libkdeinit_kedit.*
%doc %_docdir/HTML/en/kedit
%dir %_datadir/apps/kedit
%_datadir/apps/kedit/*
%_datadir/config.kcfg/kedit.kcfg
%_iconsdir/*/*/*/kedit.*
%_datadir/applications/kde/KEdit.desktop

#-----------------------------------------------------------------------------

%package ark
Summary:	Ark program
Group: Graphical desktop/KDE
Obsoletes: %lib_name-ark
Provides: ark
Requires: zip	
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description ark
Manager for compressed files and archives

%post ark
%update_menus
%{update_desktop_database}
%update_icon_cache crystalsvg
%update_icon_cache hicolor

%postun ark
%clean_menus
%{update_desktop_database}
%clean_icon_cache crystalsvg
%clean_icon_cache hicolor

%files ark
%defattr(-,root,root)
%doc %_docdir/HTML/en/ark
%_iconsdir/*/*/*/ark.*
%_bindir/ark
%dir %_datadir/apps/
%_datadir/apps/ark/*
%_datadir/applications/kde/ark.desktop          
%_libdir/kde3/ark.*
%_libdir/kde3/libarkpart.*
%_datadir/config.kcfg/ark.kcfg
%_datadir/services/ark_part.desktop
%_libdir/libkdeinit_ark.*

#-----------------------------------------------------------------------------

%package kcalc
Summary:	Kcalc program
Group:		Graphical desktop/KDE
Obsoletes:	%lib_name-kcalc
Provides:	kcalc
URL:        http://www.kde.org/

%description kcalc
A scientific calculator

%post kcalc
%update_menus
%update_icon_cache crystalsvg
%update_icon_cache hicolor

%postun kcalc
%clean_menus
%clean_icon_cache crystalsvg
%clean_icon_cache hicolor

%files kcalc
%defattr(-,root,root)
%_bindir/kcalc
%_datadir/applications/kde/kcalc.desktop
%_iconsdir/*/*/*/kcalc.*
%_libdir/kde3/kcalc.*
%_datadir/config.kcfg/kcalc.kcfg
%dir %_datadir/apps/kcalc/
%_datadir/apps/kcalc/*
%_datadir/apps/kconf_update/kcalcrc.upd
%doc %_docdir/HTML/en/kcalc
%_libdir/libkdeinit_kcalc.*

#-----------------------------------------------------------------------------

%package -n %lib_name-common-devel
Summary:	Header files for kdeutils
Group:		Development/KDE and Qt
Requires:	%lib_name-common = %version-%release
Requires:	%lib_name-ksim = %version-%release
URL:        http://www.kde.org/
Obsoletes: %lib_name-ksim-devel
Obsoletes: %lib_name-khexedit-devel
Obsoletes: %lib_name-klaptop-devel
Obsoletes:  kdeutils3-devel, kdeutils-devel < 3.1
Provides:   kdeutils3-devel, kdeutils-devel
Obsoletes:  %lib_name-devel < 3.1 
Provides:   %lib_name-devel = %version-%release
Conflicts:  %lib_name-common < 3.5.7-2

%description -n %lib_name-common-devel
Headers files for kdeutils.

%files -n %lib_name-common-devel
%defattr(-,root,root,-)
%_includedir/*
%_libdir/libkregexpeditorcommon.so
%_libdir/libksimcore.so
%_libdir/libkcmlaptop.so
%_libdir/libkmilo.so
%_libdir/libkhexeditcommon.so

#-----------------------------------------------------------------------------

%package -n %lib_name-common
Summary:	Librarie files for kdeutils
Group:		Development/KDE and Qt
Obsoletes:	%lib_name < 3.1
Provides:	%lib_name = %version-%release
URL:        http://www.kde.org/

%description -n %lib_name-common
Libraries files for kdeutils.

%post -n %lib_name-common -p /sbin/ldconfig
%postun -n %lib_name-common -p /sbin/ldconfig

%files -n %lib_name-common
%defattr(-,root,root)
%_libdir/libkregexpeditorcommon.la
%_libdir/libkregexpeditorcommon.so.*

#-----------------------------------------------------------------------------

%package ksim
Summary:	Ksim program
Group:		Graphical desktop/KDE
Requires:	%lib_name-ksim = %version-%release
Provides:	ksim
URL:        http://www.kde.org/
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description ksim
Ksim program

%post ksim
%update_menus
%update_icon_cache crystalsvg
%update_icon_cache hicolor

%postun ksim
%clean_menus
%clean_icon_cache crystalsvg
%clean_icon_cache hicolor

%files ksim
%defattr(-,root,root)
#%_datadir/applications/kde/ksim.desktop
%_datadir/apps/kicker/extensions/ksim.desktop
%_libdir/kde3/ksim_*.*
%dir %_datadir/apps/ksim
%_datadir/apps/ksim/*
%_datadir/config/ksim_panelextensionrc
%doc %_docdir/HTML/en/ksim
%_iconsdir/*/*/*/ksim*

#-----------------------------------------------------------------------------

%package kgpg
Summary:	Kgpg Frontend for gpg
Group:		Graphical desktop/KDE
Provides:	kgpg
Obsoletes:	kgpg
URL:        http://www.kde.org/
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description kgpg
kgpg is a simple, free, open source KDE frontend for gpg.

%post kgpg
%update_menus
%{update_desktop_database}
%update_icon_cache crystalsvg
%update_icon_cache hicolor

%postun kgpg
%clean_menus
%{clean_desktop_database}
%clean_icon_cache crystalsvg
%clean_icon_cache hicolor

%files kgpg
%defattr(-,root,root)
%_bindir/kgpg
%_datadir/applications/kde/kgpg.desktop           
%_datadir/config.kcfg/kgpg.kcfg
%_iconsdir/*/*/*/kgpg.*
%dir %_datadir/apps/kgpg
%_datadir/apps/kgpg/*
%doc %_docdir/HTML/en/kgpg
%_datadir/autostart/kgpg.desktop
%_datadir/apps/konqueror/servicemenus/encryptfile.desktop
%_datadir/apps/konqueror/servicemenus/encryptfolder.desktop

#-----------------------------------------------------------------------------

%package superkaramba
Group:      Graphical desktop/KDE
Summary:    Program that can display a lot of various information right on your desktop
Provides:	superkaramba
Conflicts:  kdenetwork <= 3.1.92
Obsoletes:	superkaramba <= 0.37-0.rc1.1mdk
Provides:	superkaramba > 0.37-0.rc1.1mdk
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description superkaramba
Karamba is a KDE program that can display a lot of various information
right on your desktop. Karamba uses the same "fake" transparency effect
that e.g., Konsole can use. For the autor this is not a big problem as the
purpose of Karamba is sit on the background.

%post superkaramba
%update_menus
%{update_desktop_database}
%update_icon_cache crystalsvg
%update_icon_cache hicolor

%postun superkaramba
%clean_menus
%{clean_desktop_database}
%clean_icon_cache crystalsvg
%clean_icon_cache hicolor

%files superkaramba
%defattr(-,root,root,-)
%_bindir/superkaramba
%_datadir/applnk/Utilities/superkaramba.desktop
%_datadir/apps/superkaramba/superkarambaui.rc
%doc %_docdir/HTML/en/superkaramba
%_iconsdir/*/*/*/superkaramba*
%_datadir/mimelnk/application/x-superkaramba.desktop

#-----------------------------------------------------------------------------

%package kwalletmanager
Summary:    kwalletmanager program
Group:      Graphical desktop/KDE
Provides:   kwalletmanager
URL:        http://www.kde.org/
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description kwalletmanager
Kwalletmanager program

%post kwalletmanager
%update_menus
%{update_desktop_database}
%update_icon_cache crystalsvg
%update_icon_cache hicolor


%postun kwalletmanager
%clean_menus
%{clean_desktop_database}
%clean_icon_cache crystalsvg
%clean_icon_cache hicolor

%files kwalletmanager
%defattr(-,root,root)
%_bindir/kwalletmanager
%_iconsdir/*/*/*/kwalletmanager.*
%_datadir/applications/kde/kwalletmanager-kwalletd.desktop
%doc %_docdir/HTML/en/kwallet
%_datadir/applications/kde/kwalletconfig.desktop
%_datadir/applications/kde/kwalletmanager.desktop
%_libdir/kde3/kcm_kwallet.*
%_datadir/services/kwallet_config.desktop
%_datadir/services/kwalletmanager_show.desktop
%dir %_datadir/apps/kwalletmanager/
%_datadir/apps/kwalletmanager/*

#-----------------------------------------------------------------------------

%package -n %lib_name-ksim
Summary:	Librarie files for kdeutils
Group:		Development/KDE and Qt
Provides:	%lib_name_orig-ksim = 1:%version-%release
Obsoletes: %lib_name-ksim-devel
URL:        http://www.kde.org/

%post -n %lib_name-ksim -p /sbin/ldconfig
%postun -n %lib_name-ksim -p /sbin/ldconfig

%description -n %lib_name-ksim
Libraries files for ksim.

%files -n %lib_name-ksim
%defattr(-,root,root)
%_libdir/libksimcore.la
%_libdir/libksimcore.so.*

#-----------------------------------------------------------------------------


%prep
%setup  -q 
%patch0 -p1
%patch1 -p1 -b .fix_kfloppy
%patch2 -p1 -b .fix_bug_21671
%patch3 -p0
%patch4 -p1 -b .lzma_support

%build
export QTDIR=%_prefix/lib/qt3

%configure2_5x \
%if %unstable
	--enable-debug=full \
%else
	--disable-debug \
%endif
%if %use_enable_final
	--enable-final \
%endif
	--disable-static \
    --disable-embedded \
    --disable-palmtop \
    --disable-rpath \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
	--with-pic \
   --without-xmms

%make


%install
rm -fr %buildroot

%makeinstall_std

install -m 0644 %SOURCE1 %buildroot/%_datadir/config/kcmlaptoprc

chmod 2755 %buildroot/%_bindir/klaptop_acpi_helper
export EXCLUDE_FROM_STRIP=klaptop_acpi_helper

# Link KDM images directory to faces directory
rm -fr %buildroot/%_datadir/apps/kdm/pics/users/

%clean
rm -fr %buildroot/



%changelog
* Sun Mar 30 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3.5.7-9.4mdv2008.0
+ Revision: 191152
- [BUGFIX] Allow firefox to handle zip files under Kde (Bug #32951)
- Fix summary ended with a dot
- Revert change on ark.desktop
- [BUGFIX] Allow firefox to handle zip files (Bug #32951)
- [BUGFIX] Fix file list for kcharselect (Bug #37302)

* Thu Sep 27 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.5.7-9mdv2008.0
+ Revision: 93240
- [BUGFIX] Do not show kwalletmanager on menu (Bug #33954)

* Thu Sep 20 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.5.7-7mdv2008.0
+ Revision: 91479
- [BUGFIX] Move Kregexp editor on Development/Tools (Bug 33122)
- [BUGFIX] Let irkick on kontrol (Bug #32673)

* Wed Aug 08 2007 Oden Eriksson <oeriksson@mandriva.com> 3.5.7-6mdv2008.0
+ Revision: 60203
- rebuilt against new net-snmp libs

  + Per Øyvind Karlsen <pkarlsen@mandriva.com>
    - oops, fix actual unlzma usage in patch
    - add lzma support (P4)

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix OnlyShowIn=KDE;

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 3.5.7-5mdv2008.0
+ Revision: 36180
- rebuild with correct optflags

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix menus for KDE sub-sections

* Tue May 22 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.5.7-2mdv2008.0
+ Revision: 29745
- Fix File list (bug #30959)

* Wed May 16 2007 Helio Chissini de Castro <helio@mandriva.com> 3.5.7-1mdv2008.0
+ Revision: 27455
- 3.5.7 release


* Mon Mar 05 2007 Laurent Montel <lmontel@mandriva.com> 3.5.6-3mdv2007.0
+ Revision: 133230
- Fix provides
- Fix spec file
- Patch merged into svn
- 3.5.6
- Fix group
- Remove requires

* Wed Dec 13 2006 Laurent Montel <lmontel@mandriva.com> 3.5.5-3mdv2007.1
+ Revision: 96411
- Add patch from Blino to fix bug #21671

* Mon Dec 04 2006 Laurent Montel <lmontel@mandriva.com> 3.5.5-2mdv2007.1
+ Revision: 90474
- Rebuild against new python
- Fix bug reported by Jean-Loup Colautti (fix add file in zip)
  (Necessary to make test after add new patch...)

* Tue Oct 17 2006 Laurent Montel <lmontel@mandriva.com> 3.5.5-1mdv2007.1
+ Revision: 65623
- As said on maintainer we use official tarball
  not a random snapshot
  If there is a critical crash add a patch to fix it.

  + Helio Chissini de Castro <helio@mandriva.com>
    - Back to use branch tarballs. Now using post 3.5.5

* Thu Sep 14 2006 Helio Chissini de Castro <helio@mandriva.com> 3.5.4-7mdv2007.0
+ Revision: 61291
- Kmilo fixes for bug http://qa.mandriva.com/show_bug.cgi?id=21221
  special keys will be proper handled regarding mixer

* Tue Sep 12 2006 Helio Chissini de Castro <helio@mandriva.com> 3.5.4-6mdv2007.0
+ Revision: 60934
- Fix bug http://qa.mandriva.com/show_bug.cgi?id=25245. kwalletmanager systray not appears on startup. Thanks to neoclust
- Fix for strange bug on ark zip file

* Thu Sep 07 2006 Helio Chissini de Castro <helio@mandriva.com> 3.5.4-5mdv2007.0
+ Revision: 60414
- Fix from upstream to bug http://qa.mandriva.com/show_bug.cgi?id=19444
  Thanks again to peroyvind to catch this one

* Thu Aug 31 2006 Laurent Montel <lmontel@mandriva.com> 3.5.4-4mdv2007.0
+ Revision: 58784
- New package (3.5.4-4mdv 2006-08-30)
  Add patch to fix klaptop bug #113622

* Fri Aug 25 2006 Helio Chissini de Castro <helio@mandriva.com> 3.5.4-3mdv2007.0
+ Revision: 57790
- Added kcontrol defaults patch

  + Laurent Montel <lmontel@mandriva.com>
    - Fix klaptop mdk bug # 22466

* Fri Aug 04 2006 Laurent Montel <lmontel@mandriva.com> 3.5.4-2mdv2007.0
+ Revision: 43312
- Fix crash in kgpg
  (2008/08/03 3.5.4-2mdv)

  + Helio Chissini de Castro <helio@mandriva.com>
    - Updated for latest official kde 3.5.4 release

* Tue Jul 25 2006 Helio Chissini de Castro <helio@mandriva.com> 3.5.3-4mdv2007.0
+ Revision: 42010
- Another xmms depends case. Thanks to spturtle to point this out

* Sat Jul 22 2006 Helio Chissini de Castro <helio@mandriva.com> 3.5.3-3mdv2007.0
+ Revision: 41907
- Add obsoletes for invalid package kdepasswd
- Clean and rearrange spec file
- Added tarball from kde branch as discussed on meeting in 28/06
- Removed rpath and added configure macro invalidating libtoolize
- Added strip macro as stated by Nanar ( for unstable builds )
- Removed non used patches
- Moved modules to right packages and obsoletes invalid libraries
- Buzip patches
- We are Mandriva now
- Uploading package ./kdeutils

  + Laurent Montel <lmontel@mandriva.com>
    --enable-new-ldflags doesn't work on x86_64
    - Use macro
    - 3.5.3
    - Rebuild to generate category
    - 3.5.2
      Remove unused patch
    - 3.5.1
    - Enable debug only for cooker
      MDK9.2 is obsolete now
    - Rebuild with last net-snmp lib
    - Rebuild with new net-snmp
    - Fix buildrequires found by Christiaan Welvaart thanks
    - Real kde3.5
    - Fix typo
      * Wed Nov 02 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.5-3mdk
    - Rebuild with new mysql
      * Thu Oct 27 2005 Helio Chissini de Castro <helio@mandriva.com> 3.3.5-2mdk
    - New immodule patch
    - Fix typo
    - 3.4.2
    - Sync with svn
    - Rebuild
    - Fix compile on x86_64
    - Oops missing it
    - Remove debug
      Fix kfloppy with udev
    - 3.4.2

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Sat Apr 23 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-6mdk
- Add patch25: fix launch irck (bug found by Arnaud De Lorbeau)

* Sat Apr 23 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-5mdk
- Reactivate -fvisibility same as for ppc

* Fri Apr 22 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-4mdk
- Disable patch 6 to allow to use klirc

* Sat Apr 16 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-3mdk
- Fix kregexpeditor icon menu

* Fri Apr 15 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-2mdk
- Try to re-enable visibility (test ksim)

* Tue Apr 12 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-2mdk
- Enable debug
- Fix email
- --enable-new-ldflags

* Thu Apr 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-1mdk
- 3.4.0

* Thu Apr 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-22mdk
- Disable visibility to fix crash in ksim

* Sat Apr 02 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-21mdk
- Add patch25: fix kloppy + udev MDK bug #15156

* Sun Feb 20 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-20mdk
- Add patch24: fix kgpg fix kde bug #88414

* Wed Feb 16 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-19mdk
- Sync with CVS (fix calc)

* Mon Feb 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-18mdk
- Fix visibility into kmilo

* Thu Feb 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-17mdk
- Disable debug

* Mon Feb 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-16mdk
- Add patch23: fix kcalc kde bug #98522

* Thu Feb 03 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-15mdk
- Add patch21: fix kgpg kde bug #76427
- Add patch22: fix kgpg kde bug #87469

* Fri Jan 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-14mdk
- Fix generated menu entry

* Mon Jan 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-13mdk
- Disable visibility for ppc

* Thu Jan 20 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-12mdk
- Rebuild for missing package

* Sat Jan 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-11mdk
- Add patch20: fix ark kde bug #95386

* Thu Jan 13 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-10mdk
- Against other fix KDE_EXPORT

* Mon Jan 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-9mdk
- Add patch19: fix klaptop "do not allow to overwrite files outside /proc"

* Thu Jan 06 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-8mdk
- Add function to disable visibility

* Thu Jan 06 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-7mdk
- Now it supported -fvisibility

* Thu Dec 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-6mdk
- Fix bug found by Pascal Terjan (klaptop provided kdeutils :'((

* Wed Dec 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-5mdk
- Add patch19: fix kgpg shredder icons

* Fri Dec 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-4mdk
- Add patch18: fix kdf kde bug #94774

* Fri Dec 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-3mdk
- Fix generate menu (mdk bug #9775)

* Wed Dec 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-2mdk
- Fix menu

* Tue Nov 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2

* Tue Nov 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-6mdk
- Fix kfloppy with udev

* Tue Nov 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-5mdk
- Fix build on x86_64 patch from (Gwenole Beauchesne <gbeauchesne@mandrakesoft.com>)

* Wed Oct 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-4mdk
- Remove %%buildfor

* Fri Oct 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-3mdk
- Fix requires tcptl

* Tue Oct 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-2mdk
- Deprecated mdk < 9.2

* Fri Oct 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-1mdk
- 3.3.1

* Thu Sep 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-4mdk
- Fix menu entry
- Fix thinkpad lib

* Wed Sep 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-3mdk
- Update from kde3.3 branch

* Sat Sep 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-2mdk
- Don't strip klaptop_acpi_helper

* Fri Sep 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-1mdk
- 3.3.0

* Fri Sep 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-25mdk
- Add patch16: fix kdf backgound

* Thu Sep 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-24mdk
- Remove kwiskdisk from autostart use kdebase to init it

* Thu Sep 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-23mdk
- Autostart kwikdisk

* Wed Sep 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-22mdk
- Sync with CVS (kcalc fix BUG 74657 BUG 78726)

* Sat Aug 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-21mdk
- Add patch15: fix kcalc kde bug 81485 "Enable/disable "MR" depending if 
				there is a value in memory or not"

* Sat Aug 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-20mdk
- Update kcmlaptoprc (file from Erwan)

* Thu Aug 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-19mdk
- Add patch14: fix kcalc kde bug #74657

* Wed Aug 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-18mdk
- Add requires on cpufreq for klaptop

* Wed Aug 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-17mdk
- Add default config for kcmlaptop

* Sat Aug 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-16mdk
- Add patch12: fix kfloppy progressbar
- Add patch13: fix kfloppy "Fix ext2 formatting (missing device name)"

* Fri Aug 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-15mdk
- Split klaptop

* Sat Aug 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-14mdk
- Fix menu

* Sat Aug 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-13mdk
- Add patch11: fix kfloppy kde bug #81545 "(msdos or ext2) work after
											the low-level formatting."

* Fri Aug 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-12mdk
- Add patch10: fix kloppy "360KB has only 40 tracks (see /etc/fdprm)"

* Sat Aug 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-11mdk
- Remove debug

* Thu Aug 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-10mdk
- Add patch9: fix kgpg mem leak

* Wed Aug 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-9mdk
- Fix buildrequires

* Tue Aug 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-8mdk
- Sync with CVS fix klatopdemon

* Sat Jul 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-7mdk
- Sync with CVS

* Thu Jul 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-6mdk
- Fix remove rpath

* Tue Jul 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-5mdk
- Add patch7 fix kchartselect applet bug kde #58820

* Fri Jul 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-4mdk
- Add patch6 fix kdelirc devices fix MDK kde bug #9973

* Wed Jul 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-3mdk
- Rebuild with new kdelibs

* Tue Jul 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-2mdk
- Add patch5: fix ark open recent action

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-1mdk
- 3.2.3

* Thu Jun 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-4mdk
- Rebuild with debug

* Wed May 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-3mdk
- Fix obsolete

* Fri Apr 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-2mdk
- Add patch4: fix ark

* Tue Apr 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-1mdk
- 3.2.2

* Fri Apr 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-3mdk
- Rebuild

* Wed Apr 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-2mdk
- Fix spec file for using rpmbuildupdate

* Fri Apr 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-1mdk
- kde 3.2.1

* Wed Mar 31 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-19mdk
- Use %%configure
- Use mdkverion
- Add support for 10.1

